cURL
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/balances \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/balances"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "<string>",
"lamports": 1,
"sol": 123,
"tokens": [
{
"token_address": "<string>",
"amount": 1,
"amount_decimal": "<string>",
"decimals": 123,
"logo_url": "<string>",
"name": "<string>",
"symbol": "<string>"
}
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Account Management
Get Account Balances
Retrieve token balances for the specified account
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
balances
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address (Solana public key)
Query Parameters
Number of items to return (default: 10)
Required range:
x >= 0Page number for pagination (default: 1)
Required range:
x >= 0Was this page helpful?
⌘I